Package com.io7m.waxmill.xml.vm.v1

# Class WXM1MemoryParser

java.lang.Object
com.io7m.waxmill.xml.vm.v1.WXM1MemoryParser

All Implemented Interfaces:
  `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMMemory>`

    public final class WXM1MemoryParser
    extends java.lang.Object
    implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMMemory>

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXM1MemoryParser()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>>` | `onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)` |
  `WXMMemory` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
  `void` | `onElementStart​(com.io7m.blackthorne.api.BTElementParsingContextType context, org.xml.sax.Attributes attributes)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

  `map, name, onCharacters, onShouldIgnoreUnrecognizedElements`

- ## Constructor Details

  - ### WXM1MemoryParser

    public WXM1MemoryParser()

- ## Method Details

  - ### onElementStart

    public void onElementStart​(com.io7m.blackthorne.api.BTElementParsingContextType context, org.xml.sax.Attributes attributes) throws org.xml.sax.SAXParseException
    Specified by:
      `onElementStart` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMMemory>`
    Throws:
      `org.xml.sax.SAXParseException`

  - ### onChildHandlersRequested

    public java.util.Map<com.io7m.blackthorne.api.BTQualifiedName,​com.io7m.blackthorne.api.BTElementHandlerConstructorType<?,​?>> onChildHandlersRequested​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onChildHandlersRequested` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMMemory>`

  - ### onChildValueProduced

    public void onChildValueProduced​(com.io7m.blackthorne.api.BTElementParsingContextType context, java.lang.Object result)
    Specified by:
      `onChildValueProduced` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMMemory>`

  - ### onElementFinished

    public WXMMemory onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)
    Specified by:
      `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​WXMMemory>`